#include "user.h"

User::User(QString str)
{
    op = (str.at(0) == '@');
    if(op)
        str = str.remove(0, 1);
    nick = str;
}

QString User::getNick()
{
    return nick;
}

bool User::isOp()
{
    return op;
}

User* UserList::getFromNick(QString nick)
{
    for(User* u : *this)
        if(nick.compare(u->getNick()) == 0)
            return u;
    return NULL;
}
